A portable, open-source, coherent noise-generating library for C++

Main Page | Modules | Class Hierarchy | Class List | File List | Class Members

# Selector Modules
[Noise Modules]

## Classes

class | noise::module::Blend
| Noise module that outputs a weighted blend of the output values from two source modules given the output value supplied by a control module. More...
class | noise::module::Select
| Noise module that outputs the value selected from one of two source modules chosen by the output value from a control module. More...

## Variables

const double | noise::module::DEFAULT_SELECT_EDGE_FALLOFF = 0.0
| Default edge-falloff value for the noise::module::Select noise module.
const double | noise::module::DEFAULT_SELECT_LOWER_BOUND = -1.0
| Default lower bound of the selection range for the noise::module::Select noise module.
const double | noise::module::DEFAULT_SELECT_UPPER_BOUND = 1.0
| Default upper bound of the selection range for the noise::module::Select noise module.